ClassCompletionVerifier (groovy 2.4.7 API)
Date: 2016-06-03

Package: org.codehaus.groovy.classgen

## [Java] Class ClassCompletionVerifier

- org.codehaus.groovy.classgen.ClassCompletionVerifier

- ClassCompletionVerifier

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassCompletionVerifier (SourceUnit source)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ClassNode` | `getClassNode()`
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitBinaryExpression(BinaryExpression expression)`
    `void` | `visitCatchStatement(CatchStatement cs)`
    `void` | `visitClass(ClassNode node)`
    `void` | `visitConstantExpression(ConstantExpression expression)`
    `void` | `visitConstructor(ConstructorNode node)`
    `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `void` | `visitField(FieldNode node)`
    `void` | `visitGStringExpression(GStringExpression expression)`
    `void` | `visitMethod(MethodNode node)`
    `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitConstructor, visitReturnStatement, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitBlockStatement, visitForLoop, visitWhileLoop, visitIfElse, visitDeclarationExpression, visitClass, visitPackage, visitImports, visitAnnotations, visitClassExpression, visitListExpression, visitPropertyExpression, visitConstantExpression, visitVariableExpression, visitArgumentlistExpression, visitMethodCallExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitClosureExpression, visitTupleExpression, visitConstructorCallExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitClassExpression, visitListExpression, visitPropertyExpression, visitConstantExpression, visitReturnStatement, visitVariableExpression, visitArgumentlistExpression, visitMethodCallExpression, visitDoWhileLoop, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitStaticMethodCallExpression, visitTernaryExpression, visitClosureExpression, visitBlockStatement, visitForLoop, visitWhileLoop, visitIfElse, visitTupleExpression, visitConstructorCallExpression, visitShortTernaryExpression, visitBinaryExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitDeclarationExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassCompletionVerifier(SourceUnit source)

  - ### Method Detail

    - #### public ClassNode getClassNode()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitCatchStatement(CatchStatement cs)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitMethodCallExpression(MethodCallExpression mce)

    - #### public void visitProperty(PropertyNode node)